class iscsi::mp::splunk inherits iscsi::mp {
# Splunk block device confgs when using iSCSI and Multipath
   if $mode == localdisk {
   # Do Nothing. 
   # Find and Multipath but don't mount or format the disk
   }
   else {
      Service["iscsi"] {
         notify => Service["multipathd"],
         before => [ Mount["/mnt/splunk"], 
                     Package["splunk"], 
                     Service["splunk"] ],
      }
      formatdisk { "format-coldDB": 
         device    => "/dev/mapper/mpath0", 
         label     => "COLDDB",
         require   => Service["multipathd"],
         before    => [ Mount["/mnt/splunk"], 
                         Package["splunk"], 
                         Service["splunk"] ],
      }
      file { "/mnt/splunk":
         ensure  => directory,
         mode    => 700,
         seltype => "mnt_t",
         owner   => "splunk",
         group   => "splunk",
         before  => [ Mount["/mnt/splunk"], 
                      Package["splunk"], 
                      Service["splunk"] ],
      }
      mount { "/mnt/splunk":
         fstype  => $lsbmajdistrelease ? { 
               5 => "ext3",
               6 => "ext4",
         },
         options => "_netdev",
         device  => "LABEL=COLDDB",
         ensure  => "mounted",
         before  => [Package["splunk"], Service["splunk"]],
      }
   } # End else
}

